#include <bits/stdc++.h>

using namespace std;

string sudar(int x, int y)
{
    if (x==0)
    {
        if (y==0) return "";
        string s=sudar(x/10,y/10);
        s.push_back('0'+y%10);
        return s;
    }
    if (y==0)
    {
        string s=sudar(x/10,y/10);
        s.push_back('0'+x%10);
        return s;
    }

    string s=sudar(x/10,y/10);
    if (x%10>=y%10) s.push_back('0'+x%10);
    if (x%10<=y%10) s.push_back('0'+y%10);

    return s;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0),cout.tie(0);

    int x,y; cin>>x>>y;
    cout<<sudar(x,y)<<endl;
}